Page MenuHomePhabricator

[VPlanRecipeBase] Add insertBefore helper.
ClosedPublic

Authored by fhahn on Jun 12 2018, 8:28 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

fhahn created this revision.Jun 12 2018, 8:28 AM
dcaballe accepted this revision.Jun 13 2018, 3:59 PM

Thanks for the patch! LGTM.
I think it's ok to kept these utilities in the VPRecipeBase class for now. Eventually, if we add too many, we may want to move them to a VPInstructionUtils, same as what we are doing for VPBlockBase.

lib/Transforms/Vectorize/VPlan.h
560 ↗(On Diff #150948)

instruction -> recipe?

This revision is now accepted and ready to land.Jun 13 2018, 3:59 PM
fhahn updated this revision to Diff 151678.Jun 18 2018, 3:48 AM

Added Cmake changes to add VPlanTest.cpp, so we do not depend on any other patches. Also change instruction->recipe in comment.

This revision was automatically updated to reflect the committed changes.